Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(275)

Issue 25727003: Enable IPv4 address mapped to IPv6. (Closed)

Created:
4 years, 6 months ago by halyavin
Modified:
4 years, 6 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org
Visibility:
Public.

Description

Enable IPv4 address mapped to IPv6. Chrome can't connect to IPv4 address mapped to IPv6 because Windows requires IPv6 socket not to have IPV6_V6ONLY option to connect to IPv4 address. See http://msdn.microsoft.com/en-us/library/windows/desktop/bb513665(v=vs.85).aspx TEST= open http://[::ffff:<IPv4 address>] in the browser. BUG= none Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=227332

Patch Set 1 #

Total comments: 4

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -1 line) Patch
M net/socket/socket_descriptor.cc View 1 2 chunks +14 lines, -1 line 0 comments Download

Messages

Total messages: 13 (0 generated)
halyavin
4 years, 6 months ago (2013-10-03 10:16:10 UTC) #1
jar (doing other things)
Can you clarify why this comes up in practice? Are we listening on sockets in ...
4 years, 6 months ago (2013-10-04 02:49:18 UTC) #2
halyavin
On 2013/10/04 02:49:18, jar wrote: > Can you clarify why this comes up in practice? ...
4 years, 6 months ago (2013-10-04 13:16:48 UTC) #3
halyavin
https://codereview.chromium.org/25727003/diff/1/net/socket/socket_descriptor.cc File net/socket/socket_descriptor.cc (right): https://codereview.chromium.org/25727003/diff/1/net/socket/socket_descriptor.cc#newcode42 net/socket/socket_descriptor.cc:42: if (setsockopt(result, IPPROTO_IPV6, IPV6_V6ONLY, (const char*)&value, On 2013/10/04 02:49:19, ...
4 years, 6 months ago (2013-10-04 13:16:59 UTC) #4
jar (doing other things)
On 2013/10/04 13:16:48, halyavin wrote: > On 2013/10/04 02:49:18, jar wrote: > > Can you ...
4 years, 6 months ago (2013-10-04 23:31:21 UTC) #5
halyavin
On 2013/10/04 23:31:21, jar wrote: > Just to be sure I'm clear on this: > ...
4 years, 6 months ago (2013-10-05 07:17:14 UTC) #6
jar (doing other things)
lgtm
4 years, 6 months ago (2013-10-05 17:29:53 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/halyavin@google.com/25727003/9001
4 years, 6 months ago (2013-10-07 14:56:33 UTC) #8
commit-bot: I haz the power
Step "update" is always a major failure. Look at the try server FAQ for more ...
4 years, 6 months ago (2013-10-07 15:03:59 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/halyavin@google.com/25727003/9001
4 years, 6 months ago (2013-10-07 15:20:58 UTC) #10
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
4 years, 6 months ago (2013-10-07 15:46:23 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/halyavin@google.com/25727003/9001
4 years, 6 months ago (2013-10-07 18:47:11 UTC) #12
commit-bot: I haz the power
4 years, 6 months ago (2013-10-07 20:22:50 UTC) #13
Message was sent while issue was closed.
Change committed as 227332

Powered by Google App Engine
This is Rietveld 408576698